import { Entity, Column, PrimaryGeneratedColumn, Timestamp, ManyToOne } from 'typeorm';

import { PersonEntity } from 'src/user/user.entity'

@Entity('MapMarker')
export class MapMarkerEntity {
    @PrimaryGeneratedColumn('uuid') id: string;
    @Column({type: 'text'}) latitude: string;
    @Column({type: 'text'}) longitude: string;
    @Column({type: 'timestamp'}) timestamp: Timestamp;
    @ManyToOne(type => PersonEntity, player => player.markers)
    player: PersonEntity;
}